Update customer details on your account

Change personal details such as name, address, or phone number associated with your account. To update specific details required for an invoice, you may need to retrieve an ID from `GET /api/billing/invoice/{id}` to update the associated `phonenumber`.

Account & Settings Account

Context

Used in the dashboard

/cart/checkout /cart/en/checkout /account

Workflow links

Requires

Headers

Accept Example
Content-Type Example

Body

required
application/json
accountType string · enum · Example: organisation
organisation
private
address1 string · Example: Examplegatan 1
city string · Example: Stockholm
companyname string · Example: Example AB
country string · enum · Example: DE
DE
KZ
SE
TR
firstname string · Example: Anna
langcustomline0076 string · Example: [email protected]
lastname string · Example: Svensson
orgno string · enum · Example: [SE]555555-0000
[SE]555555-0000
[SE]555555-0000
[SE]555555-0000
[SE]555555-0000
[SE]555555-0000
[SE]555555-0000
[SE]555555-0000
[SE]555555-0000
[SE]555555-0000
[SE]555555-0000
[SE]555555-0000
[SE]555555-0000
[SE]555555-0000
[TR]555555-0000
personnummer string · enum · Example:
900101-0000
900101-0000
900101-0000
900101-0000
900101-0000
900101-0000
phonenumber string · Example: +46700000000
postcode string · Example: 123 45
state string · enum · Example: Stockholm
Stockholm
Stockholm
Stockholm
Stockholm
Stockholm
Stockholm
Stockholm
Stockholm
Stockholm
Stockholm
Stockholm
vateu string · enum · Example: DE00000001
DE00000001

Responses

200
data object required
data.message string required · Example: Client details updated successfully

Human-readable message.

data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

401
code string required · Example: UNAUTHORIZED

Machine-readable error code.

error string required · Example: Unauthorized

HTTP status title (e.g. 'Bad Request').

message string required · Example: Authentication required

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/account/update
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/account/update" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "state": "Stockholm"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "message": "Client details updated successfully"
  }
}
Request Body Example 1
{
  "state": "Stockholm"
}